xine-lib: vaapi_accel_funcs_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
vaapi_accel_funcs_s Struct Reference

`#include <accel_vaapi.h>`

## Data Fields
int(* | lock_vaapi )(vo_frame_t *frame_gen)
void(* | unlock_vaapi )(vo_frame_t *frame_gen)
VAStatus(* | vaapi_init )(vo_frame_t *frame_gen, int va_profile, int width, int height)
int(* | profile_from_imgfmt )(vo_frame_t *frame_gen, unsigned img_fmt)
ff_vaapi_context_t *(* | get_context )(vo_frame_t *frame_gen)
int(* | guarded_render )(vo_frame_t *frame_gen)
ff_vaapi_surface_t *(* | get_vaapi_surface )(vo_frame_t *frame_gen)
void(* | render_vaapi_surface )(vo_frame_t *frame_gen, ff_vaapi_surface_t *va_surface)
void(* | release_vaapi_surface )(vo_frame_t *frame_gen, ff_vaapi_surface_t *va_surface)

## Field Documentation

## ◆ get_context

ff_vaapi_context_t *(* vaapi_accel_funcs_s::get_context) (vo_frame_t *frame_gen)

## ◆ get_vaapi_surface

ff_vaapi_surface_t *(* vaapi_accel_funcs_s::get_vaapi_surface) (vo_frame_t *frame_gen)

## ◆ guarded_render

int(* vaapi_accel_funcs_s::guarded_render) (vo_frame_t *frame_gen)

Referenced by _add_recent_frame(), _x_va_frame_alloc_frame(), ff_convert_frame(), vaapi_alloc_frame(), and vaapi_display_frame().

## ◆ lock_vaapi

int(* vaapi_accel_funcs_s::lock_vaapi) (vo_frame_t *frame_gen)

Referenced by decode_video_wrapper().

## ◆ profile_from_imgfmt

int(* vaapi_accel_funcs_s::profile_from_imgfmt) (vo_frame_t *frame_gen, unsigned img_fmt)

Referenced by init_video_codec().

## ◆ release_vaapi_surface

void(* vaapi_accel_funcs_s::release_vaapi_surface) (vo_frame_t *frame_gen, ff_vaapi_surface_t *va_surface)

## ◆ render_vaapi_surface

void(* vaapi_accel_funcs_s::render_vaapi_surface) (vo_frame_t *frame_gen, ff_vaapi_surface_t *va_surface)

Referenced by _x_va_accel_guarded_render(), _x_va_init(), and ff_convert_frame().

## ◆ unlock_vaapi

void(* vaapi_accel_funcs_s::unlock_vaapi) (vo_frame_t *frame_gen)

Referenced by decode_video_wrapper().

## ◆ vaapi_init

VAStatus(* vaapi_accel_funcs_s::vaapi_init) (vo_frame_t *frame_gen, int va_profile, int width, int height)

Referenced by _x_va_frame_alloc_frame(), and vaapi_alloc_frame().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/xine-engine/accel_vaapi.h